Package tigase.vhosts

## Interface VHostItem

- All Superinterfaces:
    `java.lang.Comparable<VHostItem>`, `RepositoryItem`
  All Known Implementing Classes:
    `VHostItemImpl`, `VHostItemImpl.VHostItemWrapper`

      public interface VHostItem
      extends RepositoryItem, java.lang.Comparable<VHostItem>

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `DEF_VHOST_KEY` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `default int` | `compareTo​(VHostItem o)` |
    `int[]` | `getC2SPortsAllowed()` |
    `java.lang.String[]` | `getComps()` |
    `<T> T` | `getData​(java.lang.String key)` | Deprecated.
    `DomainFilterPolicy` | `getDomainFilter()` |
    `java.lang.String[]` | `getDomainFilterDomains()` |
    `<T extends VHostItemExtension> T` | `getExtension​(java.lang.Class<T> clazz)` |
    `java.util.Set<java.lang.Class<? extends VHostItemExtension>>` | `getExtensionClasses()` |
    `<T extends VHostItemExtension> java.util.Set<T>` | `getExtensions()` |
    `java.lang.Long` | `getMaxUsersNumber()` |
    `JID` | `getMessageForward()` |
    `default JID` | `getMessageForwardAddress()` |
    `java.lang.String` | `getOtherDomainParams()` |
    `JID` | `getPresenceForward()` |
    `default JID` | `getPresenceForwardAddress()` |
    `java.lang.String` | `getS2sSecret()` |
    `java.lang.String[]` | `getSaslAllowedMechanisms()` |
    `java.util.Set<java.lang.String>` | `getTrustedJIDs()` |
    `JID` | `getVhost()` |
    `default boolean` | `isAdmin​(java.lang.String id)` | The method checks whether the given id is one of the administrators set for the Item.
    `boolean` | `isAnonymousEnabled()` |
    `boolean` | `isData​(java.lang.String key)` | Deprecated.
    `boolean` | `isEnabled()` |
    `boolean` | `isRegisterEnabled()` |
    `boolean` | `isTlsRequired()` |
    `default boolean` | `isTrustedJID​(JID jid)` |
    `void` | `setKey​(java.lang.String domain)` |

    - ### Methods inherited from interface tigase.db.comp.RepositoryItem

      `addCommandFields, getAdmins, getKey, getOwner, initFromCommand, initFromElement, initFromPropertyString, isOwner, setAdmins, setOwner, toElement, toPropertyString`

- - ### Field Detail

    - #### DEF_VHOST_KEY

          static final java.lang.String DEF_VHOST_KEY

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### compareTo

          default int compareTo​(VHostItem o)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<VHostItem>`

    - #### getComps

          java.lang.String[] getComps()

    - #### getC2SPortsAllowed

          int[] getC2SPortsAllowed()

    - #### getData

          @Deprecated
          <T> T getData​(java.lang.String key)

      Deprecated.

    - #### getDomainFilter

          DomainFilterPolicy getDomainFilter()

    - #### getDomainFilterDomains

          java.lang.String[] getDomainFilterDomains()

    - #### getExtension

          <T extends VHostItemExtension> T getExtension​(java.lang.Class<T> clazz)

    - #### getExtensions

          <T extends VHostItemExtension> java.util.Set<T> getExtensions()

    - #### getExtensionClasses

          java.util.Set<java.lang.Class<? extends VHostItemExtension>> getExtensionClasses()

    - #### getMaxUsersNumber

          java.lang.Long getMaxUsersNumber()

    - #### getMessageForward

          JID getMessageForward()

    - #### getMessageForwardAddress

          default JID getMessageForwardAddress()

    - #### getOtherDomainParams

          java.lang.String getOtherDomainParams()

    - #### getPresenceForward

          JID getPresenceForward()

    - #### getPresenceForwardAddress

          default JID getPresenceForwardAddress()

    - #### getS2sSecret

          java.lang.String getS2sSecret()

    - #### getTrustedJIDs

          java.util.Set<java.lang.String> getTrustedJIDs()

    - #### getVhost

          JID getVhost()

    - #### setKey

          void setKey​(java.lang.String domain)

    - #### isAdmin

          default boolean isAdmin​(java.lang.String id)

      Description copied from interface: `RepositoryItem`
      The method checks whether the given id is one of the administrators set for the Item.
      Specified by:
        `isAdmin` in interface `RepositoryItem`
      Parameters:
        `id` - is an ID of a person for which we check access permissions.
      Returns:
        true of the given ID is on a list of administrators and false otherwise.

    - #### isAnonymousEnabled

          boolean isAnonymousEnabled()

    - #### isData

          @Deprecated
          boolean isData​(java.lang.String key)

      Deprecated.

    - #### isEnabled

          boolean isEnabled()

    - #### isRegisterEnabled

          boolean isRegisterEnabled()

    - #### isTlsRequired

          boolean isTlsRequired()

    - #### isTrustedJID

          default boolean isTrustedJID​(JID jid)

    - #### getSaslAllowedMechanisms

          java.lang.String[] getSaslAllowedMechanisms()